Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security.audit
Class ContextHandlerImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.ProviderImpl
              weblogic.management.security.audit.ContextHandlerImpl

public class ContextHandlerImpl
extends ProviderImpl

The base class of all ContextHandler mbean implementations.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`` | `ContextHandlerImpl(ModelMBean base)` Class constructor specifying the corresponding required model mbean.
`protected` | `ContextHandlerImpl(RequiredModelMBean base)`

Method Summary
`boolean` | `validateActiveContextHandlerEntries(String[] activeContextHandlerEntries)` Test that all specified entries are support types

Methods inherited from class weblogic.management.security.ProviderImpl
`getRealm`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextHandlerImpl

    public ContextHandlerImpl(ModelMBean base)
                       throws MBeanException

  Class constructor specifying the corresponding required model mbean.

Throws:
  `MBeanException` - Description of the Exception

### ContextHandlerImpl

    protected ContextHandlerImpl(RequiredModelMBean base)
                          throws MBeanException

Method Detail

### validateActiveContextHandlerEntries

    public boolean validateActiveContextHandlerEntries(String[] activeContextHandlerEntries)
                                                throws MBeanException

  Test that all specified entries are support types

  Parameters:
    `activeContextHandlerEntries` - Description of the Parameter
  Returns:
    Description of the Return Value
  Throws:
    `MBeanException` - Description of the Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD